author | Junio C Hamano <gitster@pobox.com> | |
Fri, 5 Nov 2010 18:39:06 +0000 (11:39 -0700) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Fri, 5 Nov 2010 18:39:06 +0000 (11:39 -0700) |
* bg/maint-gitweb-test-lib:
t/gitweb-lib: Don't pass constant to decode_utf8
Conflicts:
t/gitweb-lib.sh
t/gitweb-lib: Don't pass constant to decode_utf8
Conflicts:
t/gitweb-lib.sh
1 | 2 | |||
---|---|---|---|---|
t/gitweb-lib.sh | patch | | diff1 | | diff2 | | blob | history |
diff --cc t/gitweb-lib.sh
index 8c490c87071cc71228d1811d6e08cf542bf11d2e,1b9523d02f3a8e785b0823a1d58dfaa22837ba39..3151adb9cbb4473d283104d2dbdd8646d76b8e0b
--- 1/t/gitweb-lib.sh
--- 2/t/gitweb-lib.sh
+++ b/t/gitweb-lib.sh
test_done
fi
- perl -MEncode -e 'decode_utf8("", Encode::FB_CROAK)' >/dev/null 2>&1 || {
+ perl -MEncode -e '$e="";decode_utf8($e, Encode::FB_CROAK)' >/dev/null 2>&1 || {
- skip_all='skipping gitweb tests, perl version is too old'
- test_done
+ skip_all='skipping gitweb tests, perl version is too old'
+ test_done
}
gitweb_init